require "tableutil"
require "math"
require "string"
transf = require "transf"
vec3 = require "vec3"

function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "NONE",
		name = _("Testing Mod Params"),
		description = _("test mod"),
		params = {
			{
				key = "speedScale",
				name = _("Speed Scale"),
				values = { "50%", "100%", "200%", },
				defaultIndex = 2,
			},
		},
	},
    
	runFn = function (settings, modParams)
		local params = modParams[getCurrentModId()]

		local function metadataHandler(fileName, data)
			if data.metadata.railVehicle and data.metadata.railVehicle.topSpeed then
				local values = { 0.5, 1, 2}
				data.metadata.railVehicle.topSpeed = data.metadata.railVehicle.topSpeed * values[params["speedScale"] + 1]
			end
			return data
		end

		addModifier( "loadModel", metadataHandler )
	end,
}
end
